Name: x11-driver-video-dummy
Version: 0.2.0
Release: %mkrel 6
Summary: The X.org dummy video driver
Group: Development/X11
URL: http://xorg.freedesktop.org
# Note local tag xf86-video-dummy-0.2.0@mandriva suggested on upstream
# Tag at git checkout 2aeec40b3d48705bc1de9da3f06deac365c25895
########################################################################
# git clone git://git.mandriva.com/people/pcpa/xorg/drivers/xf86-video-dummy xorg/drivers/xf86-video-dummy
# cd xorg/drivers/xf86-video/dummy
# git-archive --format=tar --prefix=xf86-video-dummy-0.2.0/ xf86-video-dummy-0.2.0@mandriva | bzip2 -9 > xf86-video-dummy-0.2.0.tar.bz2
########################################################################
Source0: xf86-video-dummy-%{version}.tar.bz2
License: MIT
########################################################################
# git-format-patch xf86-video-dummy-0.2.0@mandriva..origin/mandriva+gpl
Patch1: 0001-Update-for-new-policy-of-hidden-symbols-and-common-m.patch
########################################################################
BuildRequires: x11-util-macros		>= 1.1.5-4mdk
BuildRequires: libpixman-1-devel	>= 0.9.6
BuildRequires: x11-proto-devel		>= 7.3
BuildRequires: x11-server-devel		>= 1.4
Conflicts: xorg-x11-server < 7.0

%description
This is a dummy video driver for X.org.

%prep
%setup -q -n xf86-video-dummy-%{version}

%patch1 -p1

%build
autoreconf -ifs
%configure
%make

%install
rm -rf %{buildroot}
%makeinstall_std
rm -f %{buildroot}/%{_libdir}/xorg/modules/drivers/*.la

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc COPYING
%{_libdir}/xorg/modules/drivers/dummy_drv.so


%changelog
* Tue Jan 22 2008 Ademar de Souza Reis Jr <ademar@mandriva.com.br> 0.2.0-6mdv2008.1
+ Revision: 156603
- re-enable rpm debug packages support

* Fri Jan 18 2008 Paulo Andrade <pcpa@mandriva.com.br> 0.2.0-5mdv2008.1
+ Revision: 154861
- Updated BuildRequires and resubmit package.
- Remove -devel package as it isn't really required as it provides only 2 files
  that aren't even header files; still don't install the .la files.
  All dependency files should be stored in the x11-util-modular package as they
  are only required for the "modular" build.
- Move .la files to new -devel package, and also add .deps files to -devel package.
- Update for new policy of hidden symbols and common macros.

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Mon Oct 15 2007 Ademar de Souza Reis Jr <ademar@mandriva.com.br> 0.2.0-4mdv2008.1
+ Revision: 98690
- minor spec cleanup
- build against new xserver (1.4)

* Thu Aug 30 2007 Oden Eriksson <oeriksson@mandriva.com> 0.2.0-3mdv2008.0
+ Revision: 75758
- rebuild


* Wed May 31 2006 Gustavo Pichorim Boiko <boiko@mandriva.com>
+ 2006-05-31 18:32:34 (31796)
- rebuild to fix cooker uploading

* Tue May 30 2006 Thierry Vignaud <tvignaud@mandriva.com>
+ 2006-05-30 15:39:01 (31704)
- fill in summary & descriptions for all video drivers

* Mon May 29 2006 Andreas Hasenack <andreas@mandriva.com>
+ 2006-05-29 14:36:37 (31646)
- renamed mdv to packages because mdv is too generic and it's hosting only packages anyway

* Thu May 25 2006 Gustavo Pichorim Boiko <boiko@mandriva.com>
+ 2006-05-25 19:59:30 (31594)
- Updated drivers for X11R7.1

* Thu May 04 2006 Gustavo Pichorim Boiko <boiko@mandriva.com>
+ 2006-05-04 21:25:17 (26918)
- increment release

* Thu Apr 27 2006 Gustavo Pichorim Boiko <boiko@mandriva.com>
+ 2006-04-27 04:02:05 (26704)
- Adding X.org 7.0 to the repository

